package com.tzld.piaoquan.api;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;


@SpringBootApplication
@ComponentScan({
        "com.tzld.piaoquan.common.*",
        "com.tzld.piaoquan.offline.*",
        "com.tzld.piaoquan.api.*"
})
@MapperScan({
        "com.tzld.piaoquan.api.dao.mapper",
        "com.tzld.piaoquan.offline.dao.mapper"
})
//@MapperScan("com.tzld.piaoquan.api.dao.mapper")
//@MapperScan("com.tzld.piaoquan.offline.dao.mapper")
public class GrowthServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(GrowthServerApplication.class, args);
    }
}